Subject: Re: WARNING in rxrpc_recvmsg

From: syzbot <[email-masked]>
Date: Wed, 05 Aug 2020 20:25:04 -0700

syzbot suspects this issue was fixed by commit:

commit 65550098c1c4db528400c73acf3e46bfa78d9264
Author: David Howells <[email-masked]>
Date:   Tue Jul 28 23:03:56 2020 +0000

    rxrpc: Fix race between recvmsg and sendmsg on immediate call failure

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=10bd3bcc900000
start commit:   7cc2a8ea Merge tag 'block-5.8-2020-07-01' of git://git.ker..
git tree:       upstream
kernel config:  https://syzkaller.appspot.com/x/.config?x=7be693511b29b338
dashboard link: https://syzkaller.appspot.com/bug?extid=1a68d5c4e74edea44294
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=17a5022f100000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=150932a7100000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: rxrpc: Fix race between recvmsg and sendmsg on immediate call failure

For information about bisection process see: https://goo.gl/tpsmEJ#bisection